Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Class PreCollectionUpdateEvent

    java.lang.Object
      org.hibernate.event.spi.AbstractEvent
          org.hibernate.event.spi.AbstractCollectionEvent
              org.hibernate.event.spi.PreCollectionUpdateEvent

All Implemented Interfaces:
  Serializable

    public class PreCollectionUpdateEvent

extends AbstractCollectionEvent

An event that occurs before a collection is updated

See Also:
  Serialized Form

Constructor Summary
`PreCollectionUpdateEvent(CollectionPersister collectionPersister, PersistentCollection collection, EventSource source)`

Method Summary

Methods inherited from class org.hibernate.event.spi.AbstractCollectionEvent
`getAffectedOwnerEntityName, getAffectedOwnerEntityName, getAffectedOwnerIdOrNull, getAffectedOwnerOrNull, getCollection, getLoadedCollectionPersister, getLoadedOwnerIdOrNull, getLoadedOwnerOrNull, getOwnerIdOrNull`

Methods inherited from class org.hibernate.event.spi.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreCollectionUpdateEvent

    public PreCollectionUpdateEvent(CollectionPersister collectionPersister,
                                    PersistentCollection collection,
                                    EventSource source)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.